package admin

import (
	"context"

	"bindbox-game/internal/repository/mysql/model"
)

func (s *service) Delete(ctx context.Context, ids []int32) error {
	_, err := s.writeDB.Admin.WithContext(ctx).
		Where(s.writeDB.Admin.IsSuper.Eq(0)).
		Where(s.writeDB.Admin.ID.In(ids...)).
		Delete(&model.Admin{})
	return err
}
